Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

classic Классический list Список threaded Древовидный
50 сообщения Инструменты
123
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Админ
Администратор
Произошло радостное событие и разум всё таки возобладал! Компания Rakuten Viber возобновила разработку версий месенджера Viber под Linux и выложила новую версию для загрузки.
Есть надежда, что впредь Rakuten Viber больше никогда не будет прекращать разработку данного мессенджера под Linux, учитывая растущее огромное количество пользователей Linux-систем.
В этой статье я хочу вам напомнить, как можно установить обновлённый месенджер Viber в Ubuntu/Mint.
http://compizomania.blogspot.com/2019/04/viber-linux-ubuntulinux-mint.html
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Iliyan
Здравствуйте,
у меня не получилось (Минт 17.3) : установка успешная, но програма не стартируется. Файл находится в /opt/viber/viber.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
Да просто всё...

Минт у тебя не нов и поэтому проблемы з зависимостями.
В новой версии уже прописаны зависимости под новые пакеты, а под старые убраны, вот и не ставиться.
Всё наоборот в общем...
Пред. версию 7... ставь и будет работать.

Если не найдёшь, маякни, дам ссыль.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Masilla
В ответ на это сообщение от Админ
И все равно неразрешимая беда! Невозможно зарегистрироваться тем у кого нет смартфона с учтановленным Viber.
К сожалению у меня не только настольный комп с Линуксом, но и смартфон с Windows Mobile, не помню то ли 5 то ли 6 версии.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
Так так всегда было!
Без реги на гаджете, на компе активировать не получится.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
В ответ на это сообщение от Админ
В 19.04 Viber не устанавливается.
Опять проблемы с зависимостями. На один пакет ругается. В 19.04 более новая.
Подожду немного, если не профиксят в Rakuten Viber, то пересоберу пакет с исправлениями по зависимостям и выложу.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

stars
Перед установкой установил libssl1.0.0_1.0.2n-1ubuntu6,а дальше всё как по маслу.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

stars
В ответ на это сообщение от Владимир Маслов
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
В ответ на это сообщение от stars
Оно понятно конечно.
Вы опыт, судя по всему, имеете по нахождению пакетов на packages.ubuntu.com, а простой пользователь понятия не имеет, где рыть.

Поэтому я и написал, что пакет надо пересобрать и прописать эту библиотеку в зависимостях, потому как предыдущая там прописана.
Надеюсь, что разрабы поправят в ближайшее время.
Не заморачиваюсь, потому как сам на 18 сижу, да и не так много, кто перешёл на 19...
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
В ответ на это сообщение от stars
Завтра соберусь с духом и наверное пересоберу пакет с новыми зависимостями и статью напишу с ссылкой на него.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

stars
В ответ на это сообщение от Владимир Маслов
Нет,я простой пользователь,просто поделился что нашёл.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

cappelikan
В ответ на это сообщение от Админ
Re: Audio Issues CASE #6564106
Lilia M. wrote:Apr 24, 2019 07:07 PM
To You
Добрый день, Сергей.

Благодарим Вас за ожидание.

К сожалению, нам пришлось прекратить разработку приложения для некоторых операционных систем, включая Linux OS.

Приложение все еще может работать корректно для большинства пользователей на данных платформах, но мы не можем этого гарантировать. В то же время мы передали предоставленную Вами информацию нашей команде и они учтут ее, если мы снова запланируем выпуск новой версии для Вашей ОС.

Приносим свои искренние извинения за Ваши неудобства и надеемся, что Вы все еще сможете наслаждаться приложением Viber на других платформах.

Kind regards,
Lilia M.
Viber Support Team
Quick question? Tweet to @ViberHelp
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

timych
В ответ на это сообщение от Админ
Viber в Ubuntu Mate 16.04 установился без проблем. Порадовало отсутствие свистелок - п\к и реклам.
По сравнению с предыдущими связь чище и устойчивей чем в Скайпе.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Clone
Как альтернатива можно использовать Wire. Вот только тут этот клиент не освещается вообще.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Админ
Администратор
Skype был и остается весьма распространенным мессенджером как для персональных компьютеров, так и для мобильных гаджетов. И «пересадить» пользователей на что-то другое, типа Wire, бывает непросто. Поэтому если у Вас есть Wire, а у родственника/друга Skype и больше ничего, то что тогда?
Этих мессендеров сейчас развелось..., а основная масса пользователей использует для общения Skype.
Onz
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Onz
Здраствуте, Владимир.
Тут такая проблема: на нетбук Lenovo idefPas S110 OC x64 не устанавливаются.
А нужно иметь Viber i Wire на таком нетбкею
Как посоветуете победить это?
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
А при чём здесь ноут?!
И как вы ставили например Viber?
Ваши действия?
Onz
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Onz
Захожу на офф сайт выбераю скачать для ubuntu а установщик пакетов, говорит, что нужна архитектура х64, а у меня х32.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Владимир Маслов
Это сообщение было обновлено .
Если у вас Lenovo idefPas S110, то он изначально имеет поддержку x64-архитектуры, благодаря камню.
Другое дело, что если у вас установлен Mint x32, а его можно установить на ваш ноут (на РС и девайсы с х64-архитектурой х32 устанавливать можно, а вот на х32 установить х64 никак), тогда конечно вы не установите.

И устанавливать надо не установщиком пакетов, т.к. не установится просто, а так, как у меня в статье написано и заходить на оф. сайт просто нет нужды! Ниже приведённая команда делает всё за вас:

cd /tmp; wget https://download.cdn.viber.com/cdn/desktop/Linux/viber.deb; sudo dpkg -i viber.deb; cd


Всё, что от вас потребуется, это скопировать эту команду, ввести её в Терминале (Ctrl+Alt+T), после запроса ввода пароля, ввести свой пароль и нажать на Enter и всё...

Вы ж читайте статьи полностью то!
Не просто так мы же пишем данные команды.

Мало того, поддержка и дальнейшая разработка Viber х32 давно прекращена!
Onz
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Возобновление разработки Viber под Linux. Установка в Ubuntu/Linux Mint

Onz
Владимир Маслов написал
Если у вас Lenovo idefPas S110, то он изначально имеет поддержку x64-архитектуры, благодаря камню.
можно с этого места по подробнее, потому, что сдеав загрузочную флешку с Lubuntu, или LMDE или Debnan, или Elementary OS архитектуры х64, после первого загрузочного окна  сразу на чёрном екране выскакивает сообщение
на английском, что мой процессор только для х32,. и систему х64 установить не возможно.
Хотя пол года назад на Acer Aspire на точно таком самом железе, но купленом годом позже этого Lenovo, Lubuntu x64 встала запросто.
123